org.jboss.jca.adapters.jdbc.statistics

## Class JdbcStatisticsPlugin

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.statistics.JdbcStatisticsPlugin

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.core.spi.statistics.StatisticsPlugin

      public class JdbcStatisticsPlugin
      extends java.lang.Object
      implements org.jboss.jca.core.spi.statistics.StatisticsPlugin

  JDBC statistics.
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcStatisticsPlugin()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `deltaPreparedStatementCacheAccessCount()` Delta the access count for the prepated statement cache
    `void` | `deltaPreparedStatementCacheAddCount()` Delta the add count for the prepated statement cache
    `void` | `deltaPreparedStatementCacheDeleteCount()` Delta the delete count for the prepated statement cache
    `void` | `deltaPreparedStatementCacheHitCount()` Delta the hit count for the prepated statement cache
    `void` | `deltaPreparedStatementCacheMissCount()` Delta the miss count for the prepated statement cache
    `void` | `deregisterPreparedStatementCache(PreparedStatementCache v)` Deregister prepared statement cache
    `java.lang.String` | `getDescription(java.lang.String name)`
    `java.lang.String` | `getDescription(java.lang.String name, java.util.Locale locale)`
    `java.util.Set<java.lang.String>` | `getNames()`
    `long` | `getPreparedStatementCacheAccessCount()` Get the access count for the prepated statement cache
    `long` | `getPreparedStatementCacheAddCount()` Get the add count for the prepated statement cache
    `int` | `getPreparedStatementCacheCurrentSize()` Get the current size for the prepated statement cache
    `long` | `getPreparedStatementCacheDeleteCount()` Get the delete count for the prepated statement cache
    `long` | `getPreparedStatementCacheHitCount()` Get the hit count for the prepated statement cache
    `long` | `getPreparedStatementCacheMissCount()` Get the miss count for the prepated statement cache
    `java.lang.Class` | `getType(java.lang.String name)`
    `java.lang.Object` | `getValue(java.lang.String name)`
    `boolean` | `isEnabled()`
    `void` | `registerPreparedStatementCache(PreparedStatementCache v)` Register prepared statement cache
    `void` | `setEnabled(boolean v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcStatisticsPlugin

          public JdbcStatisticsPlugin()

      Constructor

  - ### Method Detail

    - #### getNames

          public java.util.Set<java.lang.String> getNames()

      Specified by:
        `getNames` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### getType

          public java.lang.Class getType(java.lang.String name)

      Specified by:
        `getType` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### getDescription

          public java.lang.String getDescription(java.lang.String name)

      Specified by:
        `getDescription` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### getDescription

          public java.lang.String getDescription(java.lang.String name,
                                                 java.util.Locale locale)

      Specified by:
        `getDescription` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### getValue

          public java.lang.Object getValue(java.lang.String name)

      Specified by:
        `getValue` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### setEnabled

          public void setEnabled(boolean v)

      Specified by:
        `setEnabled` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

    - #### registerPreparedStatementCache

          public void registerPreparedStatementCache(PreparedStatementCache v)

      Register prepared statement cache
      Parameters:
        `v` - The cache

    - #### deregisterPreparedStatementCache

          public void deregisterPreparedStatementCache(PreparedStatementCache v)

      Deregister prepared statement cache
      Parameters:
        `v` - The cache

    - #### getPreparedStatementCacheAccessCount

          public long getPreparedStatementCacheAccessCount()

      Get the access count for the prepated statement cache
      Returns:
        The value

    - #### deltaPreparedStatementCacheAccessCount

          public void deltaPreparedStatementCacheAccessCount()

      Delta the access count for the prepated statement cache

    - #### getPreparedStatementCacheAddCount

          public long getPreparedStatementCacheAddCount()

      Get the add count for the prepated statement cache
      Returns:
        The value

    - #### deltaPreparedStatementCacheAddCount

          public void deltaPreparedStatementCacheAddCount()

      Delta the add count for the prepated statement cache

    - #### getPreparedStatementCacheCurrentSize

          public int getPreparedStatementCacheCurrentSize()

      Get the current size for the prepated statement cache
      Returns:
        The value

    - #### getPreparedStatementCacheDeleteCount

          public long getPreparedStatementCacheDeleteCount()

      Get the delete count for the prepated statement cache
      Returns:
        The value

    - #### deltaPreparedStatementCacheDeleteCount

          public void deltaPreparedStatementCacheDeleteCount()

      Delta the delete count for the prepated statement cache

    - #### getPreparedStatementCacheHitCount

          public long getPreparedStatementCacheHitCount()

      Get the hit count for the prepated statement cache
      Returns:
        The value

    - #### deltaPreparedStatementCacheHitCount

          public void deltaPreparedStatementCacheHitCount()

      Delta the hit count for the prepated statement cache

    - #### getPreparedStatementCacheMissCount

          public long getPreparedStatementCacheMissCount()

      Get the miss count for the prepated statement cache
      Returns:
        The value

    - #### deltaPreparedStatementCacheMissCount

          public void deltaPreparedStatementCacheMissCount()

      Delta the miss count for the prepated statement cache

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.jboss.jca.core.spi.statistics.StatisticsPlugin`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)